Package org.drinkless.tdlib

# Class TdApi.RemoveAllFilesFromDownloads

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.RemoveAllFilesFromDownloads

Enclosing class:
  `TdApi`

public static class TdApi.RemoveAllFilesFromDownloads extends TdApi.Function<TdApi.Ok>
Removes all files from the file download list.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `deleteFromCache`
  Pass true to delete the file from the TDLib file cache.
  `boolean`
  `onlyActive`
  Pass true to remove only active downloads, including paused.
  `boolean`
  `onlyCompleted`
  Pass true to remove only completed downloads.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoveAllFilesFromDownloads()`
  Default constructor for a function, which removes all files from the file download list.
  `RemoveAllFilesFromDownloads(boolean onlyActive, boolean onlyCompleted, boolean deleteFromCache)`
  Creates a function, which removes all files from the file download list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### onlyActive

    public boolean onlyActive
    Pass true to remove only active downloads, including paused.

  - ### onlyCompleted

    public boolean onlyCompleted
    Pass true to remove only completed downloads.

  - ### deleteFromCache

    public boolean deleteFromCache
    Pass true to delete the file from the TDLib file cache.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RemoveAllFilesFromDownloads

    public RemoveAllFilesFromDownloads()
    Default constructor for a function, which removes all files from the file download list.

    Returns `Ok`

  - ### RemoveAllFilesFromDownloads

    public RemoveAllFilesFromDownloads(boolean onlyActive, boolean onlyCompleted, boolean deleteFromCache)
    Creates a function, which removes all files from the file download list.

    Returns `Ok`

    Parameters:
      `onlyActive` - Pass true to remove only active downloads, including paused.
      `onlyCompleted` - Pass true to remove only completed downloads.
      `deleteFromCache` - Pass true to delete the file from the TDLib file cache.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR